package com.xugame.gameconsole.dialog.loadingview;

public class SpriteFactory {
    public static Sprite create(SpinKitStyle style) {
        Sprite sprite = null;
        switch (style) {//暂时实现方块和小圆点

            case WAVE:
                sprite = new Wave();
                break;

            case THREE_BOUNCE:
                sprite = new ThreeBounce();

            default:
                break;
        }
        return sprite;
    }
}
